v1.1 | v1.0
The
/iads resource provides access to detailed iAds data.Getting iAds data by day or country
Request
GET /iads/{type}/{startDate}/{endDate}?products={productIds}
Arguments
type
Type of report to generate. Options: dates, countries
startDate
Date, inclusive, to start reporting from in yyyy-MM-dd format.
endDate
Date, inclusive, to stop reporting in yyyy-MM-dd format.
productIds (optional)
(productId | productId1;productId2;productIdN) specific products to include in the response.
format new (optional)
Output format: json or csv. Defaults to json.
Response
| country | Full name of the country when type=countries, null otherwise. |
| country_iso | Two-letter ISO code of the country when type=countries, null otherwise. |
| timestamp | Date the data is for. |
| revenue | A float representing the total revenue in the currency of the user. |
| requests | An int representing the total number of requests |
| impressions | An int representing the total number of impressions. |
| ecpm | A float representing the effective cost per thousand impressions. |
| fillrate | A float representing the percent of filled requests. |
| ctr | A float representing the click-through rate |
Example Response for by day
// GET /iads/dates/2010-11-25/2010-11-27 { "2010-11-25": { "country": null, "country_iso": null, "timestamp": "2010-11-25T00:00:00", "revenue": "100.00", "requests": 1072, "impressions": 987, "ecpm": "11.00", "fillrate": "89.00", "ctr": "21.00" }, ... }
Example Response for by country
// GET /iads/countries/2010-11-25/2010-11-27 { "United States": { "country": "United States", "country_iso": "US", "timestamp": "2010-11-25T00:00:00", "revenue": "100.00", "requests": 1072, "impressions": 987, "ecpm": "11.00", "fillrate": "89.00", "ctr": "21.00" }, ... }